package request

type TmallItemSeriesItemseriesRemoveitemfromseriesRequest struct {
	/*
	   商品id     */
	ItemId *int64 `json:"item_id" required:"true" `
	/*
	   商品系列id     */
	SeriesId *int64 `json:"series_id" required:"true" `
	/*
	   市场 defalutValue��tmall    */
	Market *string `json:"market" required:"true" `
}

func (s *TmallItemSeriesItemseriesRemoveitemfromseriesRequest) SetItemId(v int64) *TmallItemSeriesItemseriesRemoveitemfromseriesRequest {
	s.ItemId = &v
	return s
}
func (s *TmallItemSeriesItemseriesRemoveitemfromseriesRequest) SetSeriesId(v int64) *TmallItemSeriesItemseriesRemoveitemfromseriesRequest {
	s.SeriesId = &v
	return s
}
func (s *TmallItemSeriesItemseriesRemoveitemfromseriesRequest) SetMarket(v string) *TmallItemSeriesItemseriesRemoveitemfromseriesRequest {
	s.Market = &v
	return s
}

func (req *TmallItemSeriesItemseriesRemoveitemfromseriesRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.ItemId != nil {
		paramMap["item_id"] = *req.ItemId
	}
	if req.SeriesId != nil {
		paramMap["series_id"] = *req.SeriesId
	}
	if req.Market != nil {
		paramMap["market"] = *req.Market
	}
	return paramMap
}

func (req *TmallItemSeriesItemseriesRemoveitemfromseriesRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
